javax.xml.ws.wsaddressing

## Class W3CEndpointReference

- java.lang.Object
- - javax.xml.ws.EndpointReference
  - - javax.xml.ws.wsaddressing.W3CEndpointReference

-     public final class W3CEndpointReference
      extends EndpointReference

  This class represents a W3C Addressing EndpointReferece which is a remote reference to a web service endpoint that supports the W3C WS-Addressing 1.0 - Core Recommendation.

  Developers should use this class in their SEIs if they want to pass/return endpoint references that represent the W3C WS-Addressing recommendation.

  JAXB will use the JAXB annotations and bind this class to XML infoset that is consistent with that defined by WS-Addressing. See WS-Addressing for more information on WS-Addressing EndpointReferences.

  Since:
    JAX-WS 2.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `NS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `W3CEndpointReference()`
    `` | `W3CEndpointReference(Source source)` Creates an EPR from infoset representation

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeTo(Result result)` write this `EndpointReference` to the specified infoset format

    - ### Methods inherited from class javax.xml.ws.EndpointReference

      `getPort, readFrom, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NS

          protected static final String NS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### W3CEndpointReference

          protected W3CEndpointReference()

    - #### W3CEndpointReference

          public W3CEndpointReference(Source source)

      Creates an EPR from infoset representation
      Parameters:
        `source` - A source object containing valid XmlInfoset instance consistent with the W3C WS-Addressing Core recommendation.
      Throws:
        `WebServiceException` - If the source does NOT contain a valid W3C WS-Addressing EndpointReference.
        `NullPointerException` - If the `null` `source` value is given

  - ### Method Detail

    - #### writeTo

          public void writeTo(Result result)

      write this `EndpointReference` to the specified infoset format
      Specified by:
        `writeTo` in class `EndpointReference`
      Parameters:
        `result` - for writing infoset

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.